Bug 480856 - resolv.conf gets overwritten when hostname with a domain is provided
resolv.conf gets overwritten when hostname with a domain is provided
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F11Beta/F11BetaBlocker
  Show dependency treegraph
 
Reported: 2009-01-20 17:16 EST by Jesse Keating
Modified: 2013-01-09 22:26 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-12 13:54:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2009-01-20 17:16:00 EST
When we're creating the config files for use during install, /etc/resolv.conf is getting overwritten by anaconda, if the user has provided a hostname with a domain attached.  This can lead to a resolv.conf file that doesn't have any nameservers lines, even though we got nameservers from DHCP.  End result, unable to resolve dns in order to complete installation.
Comment 1 Jesse Keating 2009-01-21 19:31:23 EST
Punting this one to Beta.  Easy workaround, not critical to Alpha.
Comment 2 David Cantrell 2009-02-20 20:43:58 EST
Is this happening when using boot.iso and then configuring a remote repo for installation?
Comment 3 Jesse Keating 2009-03-12 13:46:28 EDT
Hrm, doesn't seem to happen with boot.iso and remote repo.  I'm going to try with network obtained stage2 and see if that makes a difference.
Comment 4 Jesse Keating 2009-03-12 13:54:29 EDT
I don't get this with a remote stage2 either.  I think this may have magically gone away.

Note You need to log in before you can comment on or make changes to this bug.